Requirements

classroombookings is web-based software. This means that there is no executable (.exe) file - it must be run on a web server and accessed through a web browser. You are expected to have sufficient knowledge of setting up web servers in order to set it up.

  • Apache or Nginx web server.
  • PHP version: 5.5 or above, or 7.0 or above. PHP 8 not currently supported.
  • PHP modules: GD, mysqli/pdo_mysql
  • MySQL 5.x; MariaDB 5.x or 10.x. MySQL 8 not currently supported.
  • Filesystem write access
  • Apache module mod_rewrite for clean URLs (optional)